Description

On my 16:10 monitor, when | select a non 16:10 resolution in Dday, the taskbar doesn't appear to scale correctly and the game world
has numerous missing materials around the edges.

Associated revisions

Revision 25258618 - 2015-04-03 14:50 - skyjake

Ul|libappfw: Scale Ul smaller with small window sizes/resolutions
Since the Ul style doesn't scale dynamically, we can apply a window
transformation to scale the window contents smaller if they wouldn't
fit properly in the window.

IssuelD #2009

Revision a346281a - 2015-04-04 16:46 - skyjake

Ul|libappfw: Only allow Ul downscaling on HiDPI displays

On a non-retina display, text would simply become unreadable. Better to use
the -dpi and -fontsize switches instead.

IssuelD #2009

Revision bbe63d68 - 2015-04-04 16:52 - skyjake

Ul|libappfw: Scale Ul smaller with small window sizes/resolutions
Since the Ul style doesn't scale dynamically, we can apply a window
transformation to scale the window contents smaller if they wouldn't
fit properly in the window.

IssuelD #2009

Revision 15b91f6f - 2015-04-04 16:52 - skyjake

Ul|libappfw: Only allow Ul downscaling on HiDPI displays

On a non-retina display, text would simply become unreadable. Better to use
the -dpi and -fontsize switches instead.

IssuelD #2009

History

#1 - 2015-04-02 17:12 - vermil

The Taskbar doesn't appear to scale correctly at resolutions below 1024x768.

The edges of the game world don't appear to render correctly at 1024x768 or below when the renderer appearance menu is open. Progressively
worse the lower the resolution goes.

#2 - 2015-04-02 17:23 - vermil
To ramble some more; the second one looks like a bug, but | suppose the first one might be personal preference; option(s) to manually scale the size

of the taskbar and the horizontal scale of the renderer appearance menu.

#3 - 2015-04-02 17:35 - skyjake
Please attach a screenshot (or two) to clarify the issue.

#4 - 2015-04-02 17:50 - vermil
- File 640x480Shot.jpg added

A 640x480 screen resolution image at the start of Doom2 Map01, with the renderer appearance menu open, is attached.

#5 - 2015-04-03 12:21 - skyjake

- Subject changed from Taskbar doesn't scale it'self and game world correctly at non 16:10 resolutions to Taskbar doesn't scale itself and game world
correctly at non 16:10 resolutions

Thanks for the screenshot, that issue is known (Ul style doesn't scale at all with regard to display resolution).

What about the 16:10 aspect ratio, though? Any screenshot of that?

#6 - 2015-04-03 12:32 - vermil
My apologies, | meant 16:9.

Certainly, the few non 4:3 resolutions below 1024x768 that my card allows, appear to render the game world without issue. But any 4:3 resolution
below 1024x768 produces rendering errors as shown in my screenshot, that get progressively worse the lower the resolution is below 1024x768.

Though | have noted that Dday doesn't appear to have a fall back, i.e it reverts back to the previous resolution, if it for some reason offers an
unsupported resolution that the user selects?

#7 - 2015-04-04 16:29 - skyjake

- Tags set to Ul, TaskBar, Client

- Category set to Defect

- Status changed from New to In Progress
- Assignee set to skyjake

- Target version set to 1.15

- % Done changed from 0 to 10

As a quick workaround, | tried scaling down the Ul in very low resolutions like 640x480, however the quality of text became too low to be readable.
This kind of scaling only works on HiDPI displays where one has more pixel information to work with.

What would be the motivation to use such a low resolution nowadays, though? Particularly with 1.15 introducing Pixel Doubling effects that make the
game world more pixelated but allow keeping the Ul sharp.

The issue where the game world is rendered in a glitchy way in a very tall viewport is a separate issue that's related to the handling of large Field of
View angles.

#8 - 2015-04-04 16:30 - skyjake
- Target version deleted (1.15)

#9 - 2015-04-04 16:31 - skyjake

- Subject changed from Taskbar doesn't scale itself and game world correctly at non 16:10 resolutions to Taskbar doesn't scale itself and game world
correctly in small display modes

#10 - 2015-04-05 11:06 - vermil

Certainly, pixel doubling does reduce the motivation to use low resolutions (though | assume running the actual resolution, rather than pixel doubling
to emulate it, would be less hardware intensive?).

It's more a case of it not looking professional if Dday can't display in every resolution it presents to the user in all cases; an extreme option would be
for Dday not to display resolutions below X, if Deng team don't have interest in maintaining low resolutions.

On my computer, Dday also presents a low resolution my monitor doesn't support, which blanks my screen when selected. Hence my additional
comment about Dday not appearing to have a fall back (i.e reverting back to the previous resolution) in such a case.

#11 - 2015-04-05 18:42 - skyjake

vermil wrote:

running the actual resolution, rather than pixel doubling to emulate it, would be less hardware intensive?
Yeah it is a little less intensive to use a lower actual resolution, however on modern hardware the difference should be quite negligible.

The Ul can support any font sizes and resolutions, however in practice the problem is that the Ul widgets don't all yet support updating their style at

runtime. So one can already manually use the -dpi and -fontsize options to scale down the Ul to fit smaller resolutions.

On my computer, Dday also presents a low resolution my monitor doesn't support, which blanks my screen when selected. Hence my additional

comment about Dday not appearing to have a fall back (i.e reverting back to the previous resolution) in such a case.

Well, Doomsday shows the modes that the operating systems tells are available. | assume you're using Windows, so | would guess the video driver

and monitor settings don't completely match up with each other.

#12 - 2015-05-03 19:27 - skyjake

- Priority changed from Normal to Low

#13 - 2016-07-05 23:59 - skyjake

- Status changed from In Progress to Closed

Closing this as there are now several ways to rescale the Ul:
e Small scaling adjustments via the Ul Settings dialog.

¢ "-dpi" option that affects all Ul rules.
¢ "-fontsize" option for sizing text.
